/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var masculine = "[иі]ч$";
var feminine = "на$";
var patronymicNameRules = {
	masculine: masculine,
	feminine: feminine
};

exports.default = patronymicNameRules;
exports.feminine = feminine;
exports.masculine = masculine;
