import * as tf from '@tensorflow/tfjs';
/**
 * Decodes a base64 string as an ArrayBuffer.
 */
export declare function base64StringToArrayBuffer(str: string): ArrayBuffer;
/**
 * @see {@link https://github.com/tensorflow/tfjs/blob/57e0f212f7fc3643ec1f70130725c7d3c716ef7a/tfjs-core/src/io/local_storage.ts}
 */
export declare class ModelBundleLoader implements tf.io.IOHandler {
    /**
     * Saves the model artifacts from the artifacts directory in JSON format.
     */
    load(): Promise<tf.io.ModelArtifacts>;
}
