import * as tf from '@tensorflow/tfjs';
/**
 * Encodes an ArrayBuffer as a base64 encoded string.
 */
export declare function arrayBufferToBase64String(buffer: ArrayBuffer): string;
export declare class ModelBundleSaver implements tf.io.IOHandler {
    /**
     * Saves the model artifacts to the artifacts directory in JSON format.
     */
    save(modelArtifacts: tf.io.ModelArtifacts): Promise<tf.io.SaveResult>;
}
