import { Anthroponym } from '../anthroponym-declension';
import { GrammaticalGender } from '../language';
/**
 * Detects the grammatical gender of the anthroponym using
 * patronymic name or given name endings.
 *
 * Returns the grammatical gender of the anthroponym.
 * Returns null if the grammatical gender of the anthroponym cannot be detected.
 */
export declare function detectGender(anthroponym: Anthroponym): GrammaticalGender | null;
