import { GrammaticalGender } from '../language';
export type GrammaticalGenderPatterns = {
    masculinePattern: RegExp;
    femininePattern: RegExp;
};
export declare class GrammaticalGenderDetector {
    private readonly masculinePattern;
    private readonly femininePattern;
    constructor(params: GrammaticalGenderPatterns);
    detect(word: string): GrammaticalGender | null;
}
