/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
/**
 * Enum representing the possible grammatical word classes (also known as part of speech).
 */
var WordClass;
(function (WordClass) {
    WordClass["NOUN"] = "noun";
    WordClass["ADJECTIVE"] = "adjective";
})(WordClass || (WordClass = {}));

export { WordClass };
