/**
 * @file JavaScript library for declension of Ukrainian anthroponyms
 * @module shevchenko
 * @version 3.1.4
 * @author Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @license MIT
 * @copyright 2017-2025 Oleksandr Tolochko <shevchenko-js@tooleks.com>
 * @see {@link git+https://github.com/tooleks/shevchenko-js.git}
 */
class ReplaceCommandRunner {
    constructor(command) {
        this.command = command;
    }
    /**
     * Replaces the given value with the command value.
     * Returns a new value.
     */
    exec() {
        return this.command.value;
    }
}

export { ReplaceCommandRunner };
